Debian Bug report logs - #322934
manpages-dev: poll arg 2 is not unsigned int

version graph

Package: manpages-dev; Maintainer for manpages-dev is Martin Schulze <joey@debian.org>; Source for manpages-dev is src:manpages.

Reported by: Tommy Pettersson <ptp@lysator.liu.se>

Date: Sat, 13 Aug 2005 16:33:04 UTC

Severity: normal

Tags: fixed-upstream

Found in version manpages-dev/22.02-2

Fixed in version manpages/2.08-1

Done: Martin Schulze <joey@infodrom.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#322934; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Tommy Pettersson <ptp@lysator.liu.se>:
New Bug report received and forwarded. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tommy Pettersson <ptp@lysator.liu.se>
To: submit@bugs.debian.org
Subject: manpages-dev: poll arg 2 is not unsigned int
Date: Sat, 13 Aug 2005 18:24:44 +0200
Package: manpages-dev
Version: 22.02-2

The manpage for poll says arg 2 to poll is 'unsigned int',
but it should be 'unsigned long' or 'nfds_t'.  I don't know
which is most apropriate.


-- 
Tommy Pettersson <ptp@lysator.liu.se>



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#322934; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to "Michael Kerrisk" <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: "Michael Kerrisk" <mtk-manpages@gmx.net>
To: Tommy Pettersson <ptp@lysator.liu.se>, 322934@bugs.debian.org
Cc: submit@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#322934: manpages-dev: poll arg 2 is not unsigned int
Date: Tue, 16 Aug 2005 10:38:45 +0200 (MEST)
tags 322934 fixed-upstream

> Von: Tommy Pettersson <ptp@lysator.liu.se>
> An: submit@bugs.debian.org
> Betreff: Bug#322934: manpages-dev: poll arg 2 is not unsigned int
> Datum: Sat, 13 Aug 2005 18:24:44 +0200
> 
> Package: manpages-dev
> Version: 22.02-2
> 
> The manpage for poll says arg 2 to poll is 'unsigned int',
> but it should be 'unsigned long' or 'nfds_t'.  I don't know
> which is most apropriate.

Tommy,

Thanks.  It should be 'nfds_t'.  Fixed for man-pages-2.08.

Cheers,

Michael

-- 
Michael Kerrisk
maintainer of Linux man pages Sections 2, 3, 4, 5, and 7 

Want to help with man page maintenance?  Grab the latest
tarball at ftp://ftp.win.tue.nl/pub/linux-local/manpages/
and grep the source files for 'FIXME'.



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#322934; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to "Michael Kerrisk" <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Tags added: fixed-upstream Request was from "Michael Kerrisk" <mtk-manpages@gmx.net> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Martin Schulze <joey@infodrom.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Tommy Pettersson <ptp@lysator.liu.se>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #22 received at 322934-close@bugs.debian.org (full text, mbox):

From: Martin Schulze <joey@infodrom.org>
To: 322934-close@bugs.debian.org
Subject: Bug#322934: fixed in manpages 2.08-1
Date: Thu, 17 Nov 2005 23:02:09 -0800
Source: manpages
Source-Version: 2.08-1

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive:

manpages-dev_2.08-1_all.deb
  to pool/main/m/manpages/manpages-dev_2.08-1_all.deb
manpages_2.08-1.diff.gz
  to pool/main/m/manpages/manpages_2.08-1.diff.gz
manpages_2.08-1.dsc
  to pool/main/m/manpages/manpages_2.08-1.dsc
manpages_2.08-1_all.deb
  to pool/main/m/manpages/manpages_2.08-1_all.deb
manpages_2.08.orig.tar.gz
  to pool/main/m/manpages/manpages_2.08.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 322934@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Martin Schulze <joey@infodrom.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 18 Nov 2005 07:46:45 +0100
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 2.08-1
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Martin Schulze <joey@infodrom.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 263756 314435 322934 323621 325115 326720 328629
Changes: 
 manpages (2.08-1) unstable; urgency=low
 .
   * New upstream release, with the following changes
     - Add _POSIX_C_SOURCE 199309 to nanosleep(2) prototype (Closes: Bug#314435)
     - Clarified arguments in outb(2) (Closes: Bug#263756)
     - Corrected prototype in poll(2) (Closes: Bug#322934)
     - Removed misleading text in rand(3) (Closes: Bug#328629)
     - Correction of description of carg(3) (Closes: Bug#326720)
     - Removed reference to rpc_secure(3) in rpc(3) (Closes: Bug#325115)
     - Mention pivot-root in initrd(4) (Closes: Bug#323621)
Files: 
 6682770978e807df9d68cc3d1ee87677 584 doc - manpages_2.08-1.dsc
 0b3cca8825ac6980fdc22d47d23c6888 1050767 doc - manpages_2.08.orig.tar.gz
 929aaee8838745ccb7af2bf4bb1596f1 44697 doc - manpages_2.08-1.diff.gz
 abf56fc177c2af5490b962f301a2b4b2 402880 doc important manpages_2.08-1_all.deb
 67dc6340a6b039bb1fb74604714347cd 1104406 doc standard manpages-dev_2.08-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFDfXllW5ql+IAeqTIRAjEWAJ4rAV2qjPqtyYu0RtGiykphDcUs2ACdH6Cy
cIx6c2EfU8aeF/mi+qAA770=
=l+s0
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 04:22:19 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:37:15 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.